import { QRCodeErrorCorrectionLevel } from '../types/error-correction-level';
import { RgbaColor } from '../types/rgba-color';
import * as i0 from "@angular/core";
export declare class QrCodeMockComponent {
    value?: string;
    size?: number;
    darkColor?: RgbaColor;
    lightColor?: RgbaColor;
    errorCorrectionLevel?: QRCodeErrorCorrectionLevel;
    centerImageSrc?: string;
    centerImageSize?: string | number;
    margin?: number;
    static ɵfac: i0.ɵɵFactoryDeclaration<QrCodeMockComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QrCodeMockComponent, "qr-code", never, { "value": "value"; "size": "size"; "darkColor": "darkColor"; "lightColor": "lightColor"; "errorCorrectionLevel": "errorCorrectionLevel"; "centerImageSrc": "centerImageSrc"; "centerImageSize": "centerImageSize"; "margin": "margin"; }, {}, never, never, false, never>;
}
