import { QRCodeErrorCorrectionLevel } from '../types/error-correction-level';
import { RgbaColor } from '../types/rgba-color';
import * as i0 from "@angular/core";
export declare class QrCodeMockDirective {
    value: string;
    qrCodeVersion: number | null;
    width?: number;
    height?: number;
    darkColor?: RgbaColor;
    lightColor?: RgbaColor;
    qrCodeErrorCorrectionLevel?: QRCodeErrorCorrectionLevel;
    qrCodeCenterImageSrc?: string;
    qrCodeCenterImageWidth?: number | string;
    qrCodeCenterImageHeight?: number | string;
    qrCodeMargin?: number | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<QrCodeMockDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QrCodeMockDirective, "canvas[qrCode]", never, { "value": "qrCode"; "qrCodeVersion": "qrCodeVersion"; "width": "width"; "height": "height"; "darkColor": "darkColor"; "lightColor": "lightColor"; "qrCodeErrorCorrectionLevel": "qrCodeErrorCorrectionLevel"; "qrCodeCenterImageSrc": "qrCodeCenterImageSrc"; "qrCodeCenterImageWidth": "qrCodeCenterImageWidth"; "qrCodeCenterImageHeight": "qrCodeCenterImageHeight"; "qrCodeMargin": "qrCodeMargin"; }, {}, never, never, false, never>;
}
