import * as i0 from '@angular/core';
import { Component, Input, Directive, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QrCodeComponent, QrCodeDirective } from '@mintplayer/ng-qr-code';

class QrCodeMockComponent {
}
QrCodeMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
QrCodeMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: QrCodeMockComponent, selector: "qr-code", inputs: { value: "value", size: "size", darkColor: "darkColor", lightColor: "lightColor", errorCorrectionLevel: "errorCorrectionLevel", centerImageSrc: "centerImageSrc", centerImageSize: "centerImageSize", margin: "margin" }, providers: [
        { provide: QrCodeComponent, useExisting: QrCodeMockComponent }
    ], ngImport: i0, template: "<p>qr-code works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'qr-code', providers: [
                        { provide: QrCodeComponent, useExisting: QrCodeMockComponent }
                    ], template: "<p>qr-code works!</p>\n" }]
        }], propDecorators: { value: [{
                type: Input
            }], size: [{
                type: Input
            }], darkColor: [{
                type: Input
            }], lightColor: [{
                type: Input
            }], errorCorrectionLevel: [{
                type: Input
            }], centerImageSrc: [{
                type: Input
            }], centerImageSize: [{
                type: Input
            }], margin: [{
                type: Input
            }] } });

class QrCodeMockDirective {
    constructor() {
        this.qrCodeVersion = null;
        this.darkColor = '#000000FF';
        this.lightColor = '#FFFFFFFF';
        this.qrCodeErrorCorrectionLevel = 'M';
        this.qrCodeMargin = 16;
    }
}
QrCodeMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
QrCodeMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: QrCodeMockDirective, selector: "canvas[qrCode]", inputs: { value: ["qrCode", "value"], qrCodeVersion: "qrCodeVersion", width: "width", height: "height", darkColor: "darkColor", lightColor: "lightColor", qrCodeErrorCorrectionLevel: "qrCodeErrorCorrectionLevel", qrCodeCenterImageSrc: "qrCodeCenterImageSrc", qrCodeCenterImageWidth: "qrCodeCenterImageWidth", qrCodeCenterImageHeight: "qrCodeCenterImageHeight", qrCodeMargin: "qrCodeMargin" }, providers: [
        { provide: QrCodeDirective, useExisting: QrCodeMockDirective }
    ], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'canvas[qrCode]',
                    providers: [
                        { provide: QrCodeDirective, useExisting: QrCodeMockDirective }
                    ]
                }]
        }], propDecorators: { value: [{
                type: Input,
                args: ['qrCode']
            }], qrCodeVersion: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], darkColor: [{
                type: Input
            }], lightColor: [{
                type: Input
            }], qrCodeErrorCorrectionLevel: [{
                type: Input
            }], qrCodeCenterImageSrc: [{
                type: Input
            }], qrCodeCenterImageWidth: [{
                type: Input
            }], qrCodeCenterImageHeight: [{
                type: Input
            }], qrCodeMargin: [{
                type: Input
            }] } });

class QrCodeTestingModule {
}
QrCodeTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
QrCodeTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: QrCodeTestingModule, declarations: [QrCodeMockComponent, QrCodeMockDirective], imports: [CommonModule], exports: [QrCodeMockComponent, QrCodeMockDirective] });
QrCodeTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeTestingModule, providers: [
        { provide: QrCodeComponent, useClass: QrCodeMockComponent },
        { provide: QrCodeDirective, useClass: QrCodeMockDirective },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: QrCodeTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [QrCodeMockComponent, QrCodeMockDirective],
                    imports: [CommonModule],
                    exports: [QrCodeMockComponent, QrCodeMockDirective],
                    providers: [
                        { provide: QrCodeComponent, useClass: QrCodeMockComponent },
                        { provide: QrCodeDirective, useClass: QrCodeMockDirective },
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { QrCodeMockComponent, QrCodeMockDirective, QrCodeTestingModule };
//# sourceMappingURL=mintplayer-ng-qr-code-testing.mjs.map
